Bug 1167873 - (CVE-2020-10691) VUL-0: CVE-2020-10691: ansible,ansible1: archive traversal vulnerability in ansible-galaxy collection install
(CVE-2020-10691)
VUL-0: CVE-2020-10691: ansible,ansible1: archive traversal vulnerability in a...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/256005/
CVSSv3.1:SUSE:CVE-2020-10691:5.2:(AV...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-27 09:48 UTC by Robert Frohl
Modified: 2022-12-20 04:44 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2020-03-27 09:48:46 UTC
rh#1817161

ansible-galaxy collection install has a archive traversal vulnerability when extracing a collection .tar.gz file, neither install() nor the called _extract_tar_file() does any sanitizing on the filename. This should allow a specially crafted collection .tar.gz file to place a file wherever it wants in the file system.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1817161
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-10691
Comment 1 Matej Cepl 2020-06-08 09:51:09 UTC
Update has been prepared, this bug can be closed.
Comment 3 Swamp Workflow Management 2022-03-16 20:18:45 UTC
openSUSE-SU-2022:0081-1: An update that solves 26 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1099808,1112959,1118896,1126503,1137528,1157968,1157969,1164133,1164134,1164135,1164136,1164137,1164138,1164139,1164140,1165393,1166389,1167440,1167532,1167873,1171162,1174145,1174302,1180816,1180942,1181119,1181935
CVE References: CVE-2018-10875,CVE-2018-16837,CVE-2019-10156,CVE-2019-14846,CVE-2019-14904,CVE-2019-14905,CVE-2020-10684,CVE-2020-10685,CVE-2020-10691,CVE-2020-10729,CVE-2020-14330,CVE-2020-14332,CVE-2020-1733,CVE-2020-1734,CVE-2020-1735,CVE-2020-1736,CVE-2020-1737,CVE-2020-1738,CVE-2020-1739,CVE-2020-1740,CVE-2020-1746,CVE-2020-1753,CVE-2021-20178,CVE-2021-20180,CVE-2021-20191,CVE-2021-20228
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    ansible-2.9.21-bp153.2.3.1